#
# spec file for package argus-client (Version 2.0.6)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libpcap libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd tcpd-devel tcsh texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           argus-client
BuildRequires:  libpcap tcpd-devel tcsh
%define name2 argus-clients
License:        LGPL, X11/MIT
Group:          Productivity/Networking/Diagnostic
Autoreqprov:    on
Summary:        Client for Network Monitoring Tool
Version:        2.0.6
Release:        20.2
URL:            http://www.qosient.com/argus/
Source:         %{name2}-%{version}.tar.bz2
Patch:          %{name2}-%{version}-fixes-1.patch
Patch1:         argus-client-codecleanup.patch
Patch2:         argus-client-ncurses.patch
Patch3:         %{name}-%{version}-makefile.patch
Patch4:         %{name}-%{version}-strict-aliasing.patch
Patch5:         %{name2}-%{version}-png.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Requires:       argus
Provides:       argus:/usr/sbin/argus

%description
Client for Argus network monitoring tool.



Authors:
--------
    Carter Bullard <carter@qosient.com>

%debug_package
%prep
%setup -n %{name2}-%{version}
%patch -p1
%patch1
%patch2
%patch3
%patch4
%patch5

%build
%{suse_update_config -f bin config }
autoreconf -fi
export CFLAGS="$RPM_OPT_FLAGS -Wall"
./configure --libdir=%{_libdir}
make

%install
rm -rf  %{buildroot}
install -d -m 755 $RPM_BUILD_ROOT/{etc,usr/{bin,share/man},%{_docdir}}
install -m 700 bin/arg* $RPM_BUILD_ROOT/usr/bin/
rm -f $RPM_BUILD_ROOT/usr/bin/argus_linux
install -m 755 bin/ra* $RPM_BUILD_ROOT/usr/bin/
( cd man
  cp -a man* $RPM_BUILD_ROOT%{_mandir} )
rm -f $RPM_BUILD_ROOT%{_mandir}/man1/tcpdump.1*
install -m 600 support/Config/rarc $RPM_BUILD_ROOT/etc/ra.conf
install -m 755 support/Archive/argusarchive $RPM_BUILD_ROOT/usr/bin/
find support -type f -exec chmod 0644 {} \;
chmod a+x support/{Archive/argusarchive,System/magic}
rm -f $RPM_BUILD_ROOT/usr/bin/argus*

%clean
rm -rf  %{buildroot}

%files
%defattr(-,root,root)
%doc doc COPYING MANIFEST support
%attr(0644,root,root) %doc %{_mandir}/man*/*
%config /etc/ra.conf
/usr/bin/ra*

%changelog -n argus-client
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Jan 12 2006 - mmarek@suse.cz
- create PNGs instead of GIFs in ragraph
  [#141230] (png.patch)
* Thu Oct 13 2005 - mmarek@suse.cz
- fixed more strict aliasing warnings
* Tue Sep 20 2005 - mmarek@suse.cz
- fixed Makefile to abort on errors subdirectories
- fixed gcc warnings
* Tue Apr 12 2005 - pth@suse.de
- Clean up the code.
- Use ncurses instead of curses.
* Thu Aug 19 2004 - postadal@suse.cz
- updated to version 2.0.6 (fixes 1)
- splitted in two new (sub)packages (argus-server, argus-client)
* Thu Mar 18 2004 - postadal@suse.cz
- fixed permissions of man pages and documentation [#36325]
* Thu Feb 12 2004 - ro@suse.de
- adapt to change in libpcap: include moved to pcap_bpf.h
* Sat Jan 10 2004 - adrian@suse.de
- build as user
* Mon Aug 25 2003 - postadal@suse.cz
- modified init script
- added sysconfig metadata [#28836]
- use new stop_on_removal/restart_on_upate macros
* Mon Jun 02 2003 - ro@suse.de
- fixed rcargus symlink
* Fri Jan 03 2003 - postadal@suse.cz
- added metadata in sysconfig template
* Wed Aug 21 2002 - ro@suse.de
- fix build on ppc64
* Fri Aug 16 2002 - postadal@suse.cz
- added %%insserv_prereq and %%fillup_prereq to PreReq [#17787]
* Tue Aug 06 2002 - adrian@suse.de
- remove tcpdump man page again
  (fixes file conflict with tcpdump package)
* Tue Jul 30 2002 - postadal@suse.cz
- udate to version 2.0.5
  * multithreaded, configuration files, syslog support, secure access
  * record changes
  * a lot of new features for server and client
* Wed Jul 24 2002 - kukuk@suse.de
- Replase rc.config with sysconfig/argus in README.SuSE
* Wed Jul 24 2002 - kukuk@suse.de
- Don't parse rc.config
* Mon Feb 25 2002 - postadal@suse.cz
- modified copyright in /etc/init.d/argus
* Tue Jan 15 2002 - egmont@suselinux.hu
- removed colons from startup/shutdown messages
* Mon Jan 14 2002 - cihlar@suse.cz
- use %%{_libdir}
* Thu Dec 13 2001 - ro@suse.de
- moved rc.config.d -> sysconfig
* Tue Dec 11 2001 - cihlar@suse.cz
- source /etc/rc.config.d/argus.rc.config in init script
- fixed to remove variables which are in
  /etc/rc.config.d/argus.rc.config now from /etc/rc.config
* Mon Dec 10 2001 - cihlar@suse.cz
- removed START_ARGUS
* Fri Nov 23 2001 - cihlar@suse.cz
- Fixed Url
* Mon Aug 13 2001 - cihlar@suse.cz
- really removed whole files from patches
- fixed README.SuSE
* Thu Jul 26 2001 - cihlar@suse.cz
- removed tcpdump man page
* Tue Jul 24 2001 - cihlar@suse.cz
- fixed to compile on ia64
- fixed includes
- added BuildRoot
- use suse_update_config
- removed whole files from patches
- added Url
- bzipped sources
* Mon Jul 02 2001 - choeger@suse.de
- bugfix: init script was not LSB compliant, Bugzilla ID#8969
- update to version 1.8.1
* Fri Dec 01 2000 - ro@suse.de
- use normal tcpd (wrapper-lib)
- fixed startscript
* Wed Mar 01 2000 - choeger@suse.de
- added mandir
* Tue Feb 15 2000 - aj@suse.de
- fix headers for sparc
* Thu Sep 16 1999 - uli@suse.de
- fixed headers for PPC
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Mon Jul 12 1999 - ro@suse.de
- libpcap is an extra package now
* Thu Apr 22 1999 - ro@suse.de
- fixed for alpha (ip_hl like other little-endian)
* Wed Dec 09 1998 - choeger@suse.de
- completed new init-script
* Mon Nov 23 1998 - choeger@suse.de
- new version and new init-script
* Wed Oct 07 1998 - ro@suse.de
- dont redeclare sys_errlist or strcpy for glibc
- dont cast to a char* where you're not supposed to
* Mon May 04 1998 - choeger@suse.de
- new package 1.7.beta.1b
